upstream app {
  server app:9000;
}

server {
  listen       80;
  server_name  _; # means any
  index index.php;
  root /var/www/public;
  try_files $uri $uri/ /index.php?$query_string;

  location ~ \.php$ {
    fastcgi_pass   app;
    include        fastcgi_params;
    fastcgi_index  index.php;
    fastcgi_param  SCRIPT_FILENAME $document_root$fastcgi_script_name;
    fastcgi_intercept_errors on;
  }
}
